package com.dt.common.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dt.care.dto.VaccinesDto;
import com.dt.common.domain.HxwVaccineCategories;
import com.dt.common.domain.HxwVaccines;
import com.dt.common.mapper.HxwVaccineCategoriesMapper;
import com.dt.common.service.HxwVaccinesService;
import com.dt.common.mapper.HxwVaccinesMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Collections;
import java.util.List;

/**
* @author sunday
* @description 针对表【hxw_vaccines(hxw_疫苗信息表：存储所有疫苗的基本信息)】的数据库操作Service实现
* @createDate 2025-07-03 09:45:44
*/
@Service
public class HxwVaccinesServiceImpl extends ServiceImpl<HxwVaccinesMapper, HxwVaccines>
    implements HxwVaccinesService{

    @Resource
    private HxwVaccineCategoriesMapper hxwVaccineCategoriesMapper;
    @Override
    public List<HxwVaccines> findByVaccinesByCategory(VaccinesDto dto) {
        QueryWrapper<HxwVaccineCategories> wrapper=new QueryWrapper<>();
        wrapper.eq("name",dto.getName());
        HxwVaccineCategories hxwVaccineCategories = hxwVaccineCategoriesMapper.selectOne(wrapper);
        QueryWrapper<HxwVaccines> hxwVaccinesQueryWrapper=new QueryWrapper<>();
        hxwVaccinesQueryWrapper.eq("category_id",hxwVaccineCategories.getId());
        List<HxwVaccines> vaccinesList = this.baseMapper.selectList(hxwVaccinesQueryWrapper);
        return vaccinesList;
    }
}




